#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
pub type __uint8_t = libc::c_uchar;
pub type uint8_t = __uint8_t;

fn foo<'a>() -> &'a mut [uint8_t; 10] {
    todo!();
}
fn main_0() -> libc::c_int {
    foo();
    return 0;
}
pub fn main() {
    ::std::process::exit(main_0() as i32)
}
